This is the mail archive of the gcc@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: RFH: GPLv3


Michael Eager wrote:
Ian Lance Taylor wrote:
I believe that we should make a clear statement with that release that
any future backport from a later gcc release requires relicensing the
changed files to be GPLv3 or later.  I believe this is consistent with
the two different licensing requirements, and I believe it is feasible
if inconvenient for vendors who distribute patched gcc releases.

If I understand you, that means that backporting a fix from gcc-4.4 to gcc-3.4 would suddenly make everything in gcc-3.4 fall under GPLv3.

I understand that you may be talking about public branches, but
there are (many) people who are currently using and maintaining
previous releases.  The same rules would apply equally to private
backports of patches.

This would be chaotic.  Acme Co's version of gcc-3.4 might be GPLv2
while MegaCorp's gcc-3.4 might be GPLv3.

Will, not would. This is, in practice, not an avoidable hypothetical.


The alternative would be to allow Acme Co to backport patches and leave the code GPLv2, and if we do that, someone is going to backport enough patches to make a version of gcc-3.4 which is entirely and completely identical to gcc-4.4, and claim that they can distribute it as GPLv2.

Even if we were to leave the 4.1 and 4.2 branches open as GPLv2, this problem would still happen with things that only got committed to 4.3 and later.

- Brooks


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]